[
  {
    "__type__": "cc.SceneAsset",
    "_name": "helloworld",
    "_objFlags": 0,
    "_rawFiles": null,
    "scene": {
      "__id__": 1
    }
  },
  {
    "__type__": "cc.Scene",
    "_name": "",
    "_objFlags": 0,
    "_opacity": 255,
    "_color": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "_cascadeOpacityEnabled": true,
    "_parent": null,
    "_anchorPoint": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0
    },
    "_contentSize": {
      "__type__": "cc.Size",
      "width": 0,
      "height": 0
    },
    "_children": [
      {
        "__id__": 2
      }
    ],
    "_localZOrder": 0,
    "_globalZOrder": 0,
    "_tag": -1,
    "_opacityModifyRGB": false,
    "_reorderChildDirty": false,
    "_id": "2d2f792f-a40c-49bb-a189-ed176a246e49"
  },
  {
    "__type__": "cc.Node",
    "_name": "Canvas",
    "_objFlags": 0,
    "_opacity": 255,
    "_color": {
      "__type__": "cc.Color",
      "r": 252,
      "g": 252,
      "b": 252,
      "a": 255
    },
    "_cascadeOpacityEnabled": true,
    "_parent": {
      "__id__": 1
    },
    "_anchorPoint": {
      "__type__": "cc.Vec2",
      "x": 0.5,
      "y": 0.5
    },
    "_contentSize": {
      "__type__": "cc.Size",
      "width": 960,
      "height": 640
    },
    "_children": [
      {
        "__id__": 3
      },
      {
        "__id__": 6
      },
      {
        "__id__": 11
      },
      {
        "__id__": 17
      }
    ],
    "_rotationX": 0,
    "_rotationY": 0,
    "_scaleX": 1,
    "_scaleY": 1,
    "_position": {
      "__type__": "cc.Vec2",
      "x": 480,
      "y": 320
    },
    "_skewX": 0,
    "_skewY": 0,
    "_localZOrder": 0,
    "_globalZOrder": 0,
    "_tag": -1,
    "_opacityModifyRGB": false,
    "_reorderChildDirty": false,
    "_id": "a286bbGknJLZpRpxROV6M94",
    "_active": true,
    "_components": [
      {
        "__id__": 23
      },
      {
        "__id__": 24
      }
    ],
    "_prefab": null,
    "groupIndex": 0
  },
  {
    "__type__": "cc.Node",
    "_name": "background",
    "_objFlags": 0,
    "_opacity": 255,
    "_color": {
      "__type__": "cc.Color",
      "r": 27,
      "g": 38,
      "b": 46,
      "a": 255
    },
    "_cascadeOpacityEnabled": true,
    "_parent": {
      "__id__": 2
    },
    "_anchorPoint": {
      "__type__": "cc.Vec2",
      "x": 0.5,
      "y": 0.5
    },
    "_contentSize": {
      "__type__": "cc.Size",
      "width": 960,
      "height": 640
    },
    "_children": [],
    "_rotationX": 0,
    "_rotationY": 0,
    "_scaleX": 1,
    "_scaleY": 1,
    "_position": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0
    },
    "_skewX": 0,
    "_skewY": 0,
    "_localZOrder": 0,
    "_globalZOrder": 0,
    "_tag": -1,
    "_opacityModifyRGB": false,
    "_reorderChildDirty": false,
    "_id": "e2e0crkOLxGrpMxpbC4iQg1",
    "_active": true,
    "_components": [
      {
        "__id__": 4
      },
      {
        "__id__": 5
      }
    ],
    "_prefab": null,
    "groupIndex": 0
  },
  {
    "__type__": "cc.Widget",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 3
    },
    "_enabled": true,
    "isAlignOnce": false,
    "_alignFlags": 45,
    "_left": 0,
    "_right": 0,
    "_top": 0,
    "_bottom": 0,
    "_isAbsLeft": true,
    "_isAbsRight": true,
    "_isAbsTop": true,
    "_isAbsBottom": true,
    "_originalWidth": 200,
    "_originalHeight": 150
  },
  {
    "__type__": "cc.Sprite",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 3
    },
    "_enabled": true,
    "_spriteFrame": {
      "__uuid__": "410fb916-8721-4663-bab8-34397391ace7"
    },
    "_type": 1,
    "_sizeMode": 0,
    "_fillType": 0,
    "_fillCenter": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0
    },
    "_fillStart": 0,
    "_fillRange": 0,
    "_isTrimmedMode": true,
    "_srcBlendFactor": 770,
    "_dstBlendFactor": 771,
    "_atlas": null
  },
  {
    "__type__": "cc.Node",
    "_name": "box",
    "_objFlags": 0,
    "_opacity": 255,
    "_color": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "_cascadeOpacityEnabled": true,
    "_parent": {
      "__id__": 2
    },
    "_anchorPoint": {
      "__type__": "cc.Vec2",
      "x": 0.5,
      "y": 0.5
    },
    "_contentSize": {
      "__type__": "cc.Size",
      "width": 195,
      "height": 270
    },
    "_children": [
      {
        "__id__": 7
      }
    ],
    "_rotationX": 0,
    "_rotationY": 0,
    "_scaleX": 1,
    "_scaleY": 1,
    "_position": {
      "__type__": "cc.Vec2",
      "x": 157,
      "y": 50
    },
    "_skewX": 0,
    "_skewY": 0,
    "_localZOrder": 0,
    "_globalZOrder": 0,
    "_tag": -1,
    "_opacityModifyRGB": false,
    "_reorderChildDirty": false,
    "_id": "c4f30YOS65G64U2TwufdJ+2",
    "_active": true,
    "_components": [
      {
        "__id__": 9
      },
      {
        "__id__": 10
      }
    ],
    "_prefab": null,
    "groupIndex": 0
  },
  {
    "__type__": "cc.Node",
    "_name": "New Label",
    "_objFlags": 0,
    "_opacity": 255,
    "_color": {
      "__type__": "cc.Color",
      "r": 79,
      "g": 255,
      "b": 17,
      "a": 255
    },
    "_cascadeOpacityEnabled": true,
    "_parent": {
      "__id__": 6
    },
    "_anchorPoint": {
      "__type__": "cc.Vec2",
      "x": 0.5,
      "y": 0.5
    },
    "_contentSize": {
      "__type__": "cc.Size",
      "width": 80,
      "height": 40
    },
    "_children": [],
    "_rotationX": 0,
    "_rotationY": 0,
    "_scaleX": 1,
    "_scaleY": 1,
    "_position": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 147
    },
    "_skewX": 0,
    "_skewY": 0,
    "_localZOrder": 0,
    "_globalZOrder": 0,
    "_tag": -1,
    "_opacityModifyRGB": false,
    "_reorderChildDirty": false,
    "_id": "7c2fb54D8hG+ouY6PRWR5fn",
    "_active": true,
    "_components": [
      {
        "__id__": 8
      }
    ],
    "_prefab": null,
    "groupIndex": 0
  },
  {
    "__type__": "cc.Label",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 7
    },
    "_enabled": true,
    "_useOriginalSize": false,
    "_fontSize": 40,
    "_lineHeight": 40,
    "_enableWrapText": true,
    "_N$file": null,
    "_isSystemFontUsed": true,
    "_N$string": "宝箱",
    "_N$horizontalAlign": 1,
    "_N$verticalAlign": 1,
    "_N$overflow": 0
  },
  {
    "__type__": "cc.Sprite",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 6
    },
    "_enabled": true,
    "_spriteFrame": {
      "__uuid__": "31bc895a-c003-4566-a9f3-2e54ae1c17dc"
    },
    "_type": 0,
    "_sizeMode": 0,
    "_fillType": 0,
    "_fillCenter": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0
    },
    "_fillStart": 0,
    "_fillRange": 0,
    "_isTrimmedMode": true,
    "_srcBlendFactor": 770,
    "_dstBlendFactor": 771,
    "_atlas": null
  },
  {
    "__type__": "cc.BoxCollider",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 6
    },
    "_enabled": true,
    "tag": 0,
    "_offset": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0
    },
    "_size": {
      "__type__": "cc.Size",
      "width": 195,
      "height": 270
    }
  },
  {
    "__type__": "cc.Node",
    "_name": "hero",
    "_objFlags": 0,
    "_opacity": 255,
    "_color": {
      "__type__": "cc.Color",
      "r": 19,
      "g": 127,
      "b": 253,
      "a": 255
    },
    "_cascadeOpacityEnabled": true,
    "_parent": {
      "__id__": 2
    },
    "_anchorPoint": {
      "__type__": "cc.Vec2",
      "x": 0.5,
      "y": 0.5
    },
    "_contentSize": {
      "__type__": "cc.Size",
      "width": 200,
      "height": 100
    },
    "_children": [
      {
        "__id__": 12
      }
    ],
    "_rotationX": 0,
    "_rotationY": 0,
    "_scaleX": 1,
    "_scaleY": 1,
    "_position": {
      "__type__": "cc.Vec2",
      "x": -332,
      "y": 4
    },
    "_skewX": 0,
    "_skewY": 0,
    "_localZOrder": 0,
    "_globalZOrder": 0,
    "_tag": -1,
    "_opacityModifyRGB": false,
    "_reorderChildDirty": false,
    "_id": "26377zxjJ5KnrWxLJrJ2qBl",
    "_active": true,
    "_components": [
      {
        "__id__": 14
      },
      {
        "__id__": 15
      },
      {
        "__id__": 16
      }
    ],
    "_prefab": null,
    "groupIndex": 0
  },
  {
    "__type__": "cc.Node",
    "_name": "New Label",
    "_objFlags": 0,
    "_opacity": 255,
    "_color": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "_cascadeOpacityEnabled": true,
    "_parent": {
      "__id__": 11
    },
    "_anchorPoint": {
      "__type__": "cc.Vec2",
      "x": 0.5,
      "y": 0.5
    },
    "_contentSize": {
      "__type__": "cc.Size",
      "width": 80,
      "height": 40
    },
    "_children": [],
    "_rotationX": 0,
    "_rotationY": 0,
    "_scaleX": 1,
    "_scaleY": 1,
    "_position": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0
    },
    "_skewX": 0,
    "_skewY": 0,
    "_localZOrder": 0,
    "_globalZOrder": 0,
    "_tag": -1,
    "_opacityModifyRGB": false,
    "_reorderChildDirty": false,
    "_id": "5206b7SqQ1PLofHO4TKUh91",
    "_active": true,
    "_components": [
      {
        "__id__": 13
      }
    ],
    "_prefab": null,
    "groupIndex": 0
  },
  {
    "__type__": "cc.Label",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 12
    },
    "_enabled": true,
    "_useOriginalSize": false,
    "_fontSize": 40,
    "_lineHeight": 40,
    "_enableWrapText": true,
    "_N$file": null,
    "_isSystemFontUsed": true,
    "_N$string": "主角",
    "_N$horizontalAlign": 1,
    "_N$verticalAlign": 1,
    "_N$overflow": 0
  },
  {
    "__type__": "cc.Sprite",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 11
    },
    "_enabled": true,
    "_spriteFrame": {
      "__uuid__": "410fb916-8721-4663-bab8-34397391ace7"
    },
    "_type": 1,
    "_sizeMode": 0,
    "_fillType": 0,
    "_fillCenter": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0
    },
    "_fillStart": 0,
    "_fillRange": 0,
    "_isTrimmedMode": true,
    "_srcBlendFactor": 770,
    "_dstBlendFactor": 771,
    "_atlas": null
  },
  {
    "__type__": "cc.BoxCollider",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 11
    },
    "_enabled": true,
    "tag": 0,
    "_offset": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0
    },
    "_size": {
      "__type__": "cc.Size",
      "width": 200,
      "height": 100
    }
  },
  {
    "__type__": "280c3rsZJJKnZ9RqbALVwtK",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 11
    },
    "_enabled": true
  },
  {
    "__type__": "cc.Node",
    "_name": "move",
    "_objFlags": 0,
    "_opacity": 255,
    "_color": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "_cascadeOpacityEnabled": true,
    "_parent": {
      "__id__": 2
    },
    "_anchorPoint": {
      "__type__": "cc.Vec2",
      "x": 0.5,
      "y": 0.5
    },
    "_contentSize": {
      "__type__": "cc.Size",
      "width": 100,
      "height": 40
    },
    "_children": [
      {
        "__id__": 18
      }
    ],
    "_rotationX": 0,
    "_rotationY": 0,
    "_scaleX": 1,
    "_scaleY": 1,
    "_position": {
      "__type__": "cc.Vec2",
      "x": -135,
      "y": 207
    },
    "_skewX": 0,
    "_skewY": 0,
    "_localZOrder": 0,
    "_globalZOrder": 0,
    "_tag": -1,
    "_opacityModifyRGB": false,
    "_reorderChildDirty": false,
    "_id": "1c2afFs2jVEoqIGzK0KgeiI",
    "_active": true,
    "_components": [
      {
        "__id__": 20
      },
      {
        "__id__": 21
      }
    ],
    "_prefab": null,
    "groupIndex": 0
  },
  {
    "__type__": "cc.Node",
    "_name": "Label",
    "_objFlags": 0,
    "_opacity": 255,
    "_color": {
      "__type__": "cc.Color",
      "r": 0,
      "g": 0,
      "b": 0,
      "a": 255
    },
    "_cascadeOpacityEnabled": true,
    "_parent": {
      "__id__": 17
    },
    "_anchorPoint": {
      "__type__": "cc.Vec2",
      "x": 0.5,
      "y": 0.5
    },
    "_contentSize": {
      "__type__": "cc.Size",
      "width": 100,
      "height": 40
    },
    "_children": [],
    "_rotationX": 0,
    "_rotationY": 0,
    "_scaleX": 1,
    "_scaleY": 1,
    "_position": {
      "__type__": "cc.Vec2",
      "x": 1.1368683772161603e-13,
      "y": 0
    },
    "_skewX": 0,
    "_skewY": 0,
    "_localZOrder": 0,
    "_globalZOrder": 0,
    "_tag": -1,
    "_opacityModifyRGB": false,
    "_reorderChildDirty": false,
    "_id": "b1ebela7yxC5ZSIxqnIFaxA",
    "_active": true,
    "_components": [
      {
        "__id__": 19
      }
    ],
    "_prefab": null,
    "groupIndex": 0
  },
  {
    "__type__": "cc.Label",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 18
    },
    "_enabled": true,
    "_useOriginalSize": false,
    "_fontSize": 20,
    "_lineHeight": 40,
    "_enableWrapText": false,
    "_N$file": null,
    "_isSystemFontUsed": true,
    "_N$string": "move",
    "_N$horizontalAlign": 1,
    "_N$verticalAlign": 1,
    "_N$overflow": 1
  },
  {
    "__type__": "cc.Sprite",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 17
    },
    "_enabled": true,
    "_spriteFrame": {
      "__uuid__": "f0048c10-f03e-4c97-b9d3-3506e1d58952"
    },
    "_type": 1,
    "_sizeMode": 0,
    "_fillType": 0,
    "_fillCenter": {
      "__type__": "cc.Vec2",
      "x": 0,
      "y": 0
    },
    "_fillStart": 0,
    "_fillRange": 0,
    "_isTrimmedMode": true,
    "_srcBlendFactor": 770,
    "_dstBlendFactor": 771,
    "_atlas": null
  },
  {
    "__type__": "cc.Button",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 17
    },
    "_enabled": true,
    "transition": 2,
    "pressedColor": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "hoverColor": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "duration": 0.1,
    "pressedSprite": {
      "__uuid__": "e9ec654c-97a2-4787-9325-e6a10375219a"
    },
    "hoverSprite": {
      "__uuid__": "e9ec654c-97a2-4787-9325-e6a10375219a"
    },
    "clickEvents": [
      {
        "__id__": 22
      }
    ],
    "_N$interactable": true,
    "_N$normalColor": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "_N$disabledColor": {
      "__type__": "cc.Color",
      "r": 255,
      "g": 255,
      "b": 255,
      "a": 255
    },
    "_N$normalSprite": {
      "__uuid__": "f0048c10-f03e-4c97-b9d3-3506e1d58952"
    },
    "_N$disabledSprite": {
      "__uuid__": "29158224-f8dd-4661-a796-1ffab537140e"
    },
    "_N$target": {
      "__id__": 17
    }
  },
  {
    "__type__": "cc.ClickEvent",
    "target": {
      "__id__": 11
    },
    "component": "HelloWorld",
    "handler": "move"
  },
  {
    "__type__": "cc.Canvas",
    "_name": "",
    "_objFlags": 3670016,
    "node": {
      "__id__": 2
    },
    "_enabled": true,
    "_designResolution": {
      "__type__": "cc.Size",
      "width": 960,
      "height": 640
    },
    "_fitWidth": false,
    "_fitHeight": true
  },
  {
    "__type__": "280c3rsZJJKnZ9RqbALVwtK",
    "_name": "",
    "_objFlags": 0,
    "node": {
      "__id__": 2
    },
    "_enabled": true
  }
]